function [Fq, RHS] = const(Body, Joint, q, dq, t, flag);
% function [Fq, RHS] = const(Body, Joint, q, dq, t, flag);
% 
% SƃRrs̕]
% 
% ĂяovO 
%  rvlt.m : ]WCgS̕]
%  tran.m : iWCgS̕]
%  grnd.m : OhS̕]
%  smpl.m : PS̕]
%  drvr.m : 쓮S̕]
% 
% ̐F
%  flag==1: Constraint equation
%  flag==2: Right-hand-side of velocity equations
%  flag==3: Right-hand-side of acceleration equations
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

[Fq_RJ, RHS_RJ] = rvlt(Body, Joint, q, dq, flag);
[Fq_TJ, RHS_TJ] = tran(Body, Joint, q, dq, flag);
[Fq_GR, RHS_GR] = grnd(Body, Joint, q, dq, flag);
[Fq_SM, RHS_SM] = smpl(Body, Joint, q, dq, flag);
[Fq_DR, RHS_DR] = drvr(Body, Joint, q, dq, t, flag);

Fq  = [ Fq_RJ;  Fq_TJ;  Fq_GR;  Fq_SM;  Fq_DR ];
RHS = [ RHS_RJ; RHS_TJ; RHS_GR; RHS_SM; RHS_DR ];

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================