function [q, dq, ddq] = dyn(Body, Joint, Force, SimInfo, q, dq, t)
% function [q, dq, ddq] = dyn(Body, Joint, Force, SimInfo, q, dq, t)
% 
% 4Runge-Kutta@pă_Ci~NX͂svO
% 
% ĂяovO 
%  difeqn.m : DAE(㐔)vO
% 
% Copyright (C) 2007  Ms, ]䕔 , ŗt  All Rights Reserved.

% Runge-Kutta@
[k1_q, k1_dq, lambda] = ...
	difeqn(Body, Joint, Force, q, dq, t );

[k2_q, k2_dq, lambda] = ...
	difeqn(Body, Joint, Force, q + k1_q*SimInfo.dt/2.0, ...
	dq + k1_dq*SimInfo.dt/2.0, t + SimInfo.dt/2.0 );

[k3_q, k3_dq, lambda] = ...
	difeqn(Body, Joint, Force, q + k2_q*SimInfo.dt/2.0, ...
	dq + k2_dq*SimInfo.dt/2.0, t + SimInfo.dt/2.0 );

[k4_q, k4_dq, lambda] = ...
	difeqn(Body, Joint, Force, q + k3_q*SimInfo.dt, ...
	dq + k3_dq*SimInfo.dt, t + SimInfo.dt );

ddq = (k1_dq + 2*k2_dq + 2*k3_dq + k4_dq) / 6.0;
dq  = dq +                                      ddq * SimInfo.dt;
q   = q  + (k1_q  + 2*k2_q  + 2*k3_q  + k4_q) / 6.0 * SimInfo.dt;

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================