% mainCoin.m
%**********************************************************
%                Rolling Coin  main       
%**********************************************************
% ]^RC̉
% Ăяo֐
% gillCoin.m : QENb^EMɂ鐔lϕvZ
%
% Copyright (C) 2007  Ms, ]䕔  All Rights Reserved.

% =================================================================================
% vO̎gp
% 1. {vOуf[^pŁCЕzĂ͂ȂȂD
% 2. {vOуf[^𒘍҂̋ȂcړIŗpĂ͂ȂȂD
% 3. {vOуf[^̉ς́CcړIłȂ莩RłD
% 4. {vOуf[^gp邱Ƃɂ萶QȂǂɂẮCҁC
%    vNҁC(){@BwC()RiЂ͈؂̐ӔC𕉂ȂD
% 5. {vO̒쌠́C{Ғ҂ȂтɃvO҂ɋAD
% =================================================================================

%---------------------------------------------------------- 
%               initial  setting
%----------------------------------------------------------
clear all;
clear functions;

%-- generalized coordinates --
% qi=[qi(1); qi(2); qi(3); qi(4); qi(5)]=[X; Y; psai; theta; phai];
%-- generalized velocities --
% dqi=[dqi(1); dqi(2); dqi(3); dqi(4); dqi(5)]=[dX; dY; dpsai; dtheta; dphai];


%-- physical parameters --
r= 0.25;                                                     %fBXNa
m= 1.0;                                                      %
g= 9.8;                                                      %d͉x
rho= 5*r;                                                    %S`a
k= r/2^(1/2);                                                %]a 
                                                       
%----- time ------
t0=0.0;                                                      %Jn
tf=30.0;                                                     %I
h=0.001;                                                     %ݎ

     
%--- initial value --- 
% eLXg4.4߂[vZ1][vZ3] ݂̏̂L̂悤Ɍ肵
% B̖̑ɑ΂ẮA̓sxA肷KvB[U[
% ̓eLXgQlɕʓroăZbgĂB
% 
                                
theta=input('theta=  ');                                     %͓p
if theta==pi/2-0.001;
  qi=[0; 0; 0; theta; 0];     % P[X3 ; [x; y; ΍p; ͓p; Xsp]
        
  %-- initial generalized velocity --
  dqi(3)=0.0;                                                %΍px
  dqi(4)=0.0;                                                %͓px
  dqi(5)=(0.2*(g*r/3)^(1/2))/r;                              %Xspx
else   
  qi= [0; -5*r; 0; theta; 0];  % P[X1,2 ; 
  
  %-- initial generalized velocity --
  dqi(3)= ((4*g*cot(pi/3))/(r*cos(pi/3)+6*rho))^(1/2);        
  if qi(4)== pi/3;                                            
    dqi(4)= 0.0;              % P[X1                      %΍ 
  else
    dqi(4)= 0.5*dqi(3);       % P[X2                      %΍ 
  end; 
  dqi(5)= -((rho/r)+cos(pi/3))*dqi(3);                        
end;
  
dqi(1)=r*(dqi(3)*cos(qi(4))+dqi(5))*cos(qi(3))...
       -r*dqi(4)*sin(qi(3))*sin(qi(4));                      %X̑x
dqi(2)=r*(dqi(3)*cos(qi(4))+dqi(5))*sin(qi(3))...
       +r*dqi(4)*cos(qi(3))*sin(qi(4));                      %Y̑x

fqi=[qi(1); qi(2); qi(3); qi(4); qi(5);...
     dqi(1); dqi(2); dqi(3); dqi(4); dqi(5)]  ;              %l

disp(' Initial genaralized displacement ')
disp(qi)
disp(' Initial genaralized velocity ')
disp(dqi)
     
t=t0;
tic
%----------------------------------------------------------
%                  Runge-Kutta-Gill calculation
%----------------------------------------------------------
hold on
n=1: tf/h+1;                                                 %͉
icount=0;
for j=1:10;
  cq0(j)=0.0;                                                %⏕
  cq4(j)=0.0;
  xa(j)=0.0;                                                 %
  x0(j)=xa(j);
  xa(j)=0.0;
end;
%
xxx=zeros(1,length(n));
yyy=zeros(1,length(n));
phi3=zeros(1,length(n));                  %
theeta4=zeros(1,length(n));
for ii=1:tf/h+1;
  t=t0+(ii-1)*h; 
  for j=1:10;
    cq0(j)=cq4(j);
    x0(j)=xa(j);
    xa(j)=0.0;
  end;
  if ii==1;
    for j=1: 10;
      x0(j)=fqi(j);
    end;
  end;
  [xa,cq4]=gillCoin(t, x0, r, m, g, rho, k, h, cq0);          %Runge-Kutta-Gill

   
  %***** data save *****  
  xxx(1,ii)=xa(:,1);
  yyy(1,ii)=xa(:,2);
  phi3(1,ii)=xa(:,3);                    %
  theeta4(1,ii)=xa(:,4);

end;
toc

%----------------------------------------------------------
%                  Output figures of result
%----------------------------------------------------------
%
fs=18;                                                         %tHgTCYw
figure(1)
%-- Position of the center of the disk as a function of time --%dS̈ʒu
%
plot(n*h, xxx, '-', n*h, yyy, '-.');                           %t-x,yvbg
ax1=gca;
set(ax1,'XColor','k','YColor','k','fontsize',fs-2);            %̐̐FAtHgTCY
xlim([0,max(h*n)]);                                            %x̕
legend('x','y',2);                                             %}
grid on                                                        %ObgC\
title('Position of the center of the disk as a function of time','fontsize',fs); %^Cg
xlabel('Time (s)','fontsize',fs);                              %x̃x
ylabel('Position (m)','fontsize',fs);                          %ỹx

figure(2)
%--- Nutation and precession angles as a function of time --- %͓pƍ΍p̃vbg
%
hl1=plot(n*h, theeta4,'-.');                                  %Nutationvbg
ax1= gca;
set(ax1,'XColor','k','YColor','k','fontsize',fs-2);
xlim([0,max(h*n)]);
title('Nutation and precession angles as a function of time','fontsize',fs);
grid on
xlabel('Time (s)','fontsize',fs);   
ylabel('Nutation, \theta','fontsize',fs);

ax2= axes('Position',get(ax1,'Position'), ...
'YaxisLocation','right', ...
'Color','none', ...
'XColor','k','YColor','k');
hl2= line(n*h, phi3, 'Parent',ax2);            %             %Precessionvbg
set(ax2,'XColor','k','YColor','k','fontsize',fs-2);
xlim([0,max(h*n)]);
legend([hl1,hl2],'\theta','\phi',2);
ylabel('Precession, \phi','fontsize',fs);

figure(3)
%--- Path of the center of the disk ---                      %S_̌oH̃vbg
plot(xxx, yyy)                                               %S_vbg
grid on
title('Path of the center of the disk','fontsize',fs);
xlabel('X coordinate (m)','fontsize',fs);  
ylabel('Y coordinate (m)','fontsize',fs);
axis square;


%
%  @RC̉^̂܂Ƃ߂̃vbg
%
figure(4)
subplot(221);
plot(n*h, xxx, n*h, yyy);

subplot(222);
plot(n*h, theeta4);

subplot(223);
plot(n*h, phi3);               %

subplot(224);
plot(xxx, yyy);


